Page MenuHomeVyOS Platform

OpenVPN op-command completion fails due to missing status file
Closed, ResolvedPublicBUG

Description

When trying to reset OpenVPN client from CLI, appears the following error

vyos@vyos# run reset openvpn client Traceback (most recent call last):
  File "/usr/libexec/vyos/completion/list_openvpn_clients.py", line 54, in <module>
    clients += get_client_from_interface(interface)
  File "/usr/libexec/vyos/completion/list_openvpn_clients.py", line 25, in get_client_from_interface
    with open('/opt/vyatta/etc/openvpn/status/' + interface + '.status', 'r') as f:
FileNotFoundError: [Errno 2] No such file or directory: '/opt/vyatta/etc/openvpn/status/vtun0.status'

Possible completions:
  <text>        Reset specified OpenVPN client

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202012210217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

Dmitry changed the task status from Open to Needs testing.Dec 21 2020, 5:58 PM
Dmitry renamed this task from OpenVPN up-command completion issue to OpenVPN op-command completion issue.Dec 22 2020, 8:41 AM
Dmitry closed this task as Resolved.
erkin renamed this task from OpenVPN op-command completion issue to OpenVPN op-command completion fails due to missing status file.Aug 29 2021, 11:56 AM
erkin set Issue type to Bug (incorrect behavior).
erkin removed a subscriber: Active contributors.